import { baseRequest } from "@/utils/request";
const request = (url, ...arg) => baseRequest(`/openGovernment/` + url, ...arg);
const request1 = (url, ...arg) => baseRequest(`/importantNews/` + url, ...arg);
const request2 = (url, ...arg) => baseRequest(`/homePage/` + url, ...arg);
export default {
  // 首页头条轮播标题数据
  homeData(data) {
    return request2("hmcarousel/detail", data, "get");
  },
  // 党史学习教育 /homePage/
  homeDetail(data) {
    return request2("hmpartyhistoryedu/detail", data, "get");
  },
  // 首页标题下轮播图 /homePage/
  hmimagenewsDetail(data) {
    return request2("hmimagenews/detail", data, "get");
  },
  // 获取公开指南管理表详情
  guide(data) {
    return request("ogPublicGuidance/detail", data, "get");
  },
  // 网站-主动公开文件表详情
  publicDocument(data) {
    return request(
      "ogProactiveDisclosure/getOgProactiveDisclosure",
      data,
      "get"
    );
  },
  // 管理端，网站 获取公开制度详情
  institution(data) {
    return request("ogPublicSystem/detail", data, "get");
  },
  // 获取政务公开-公开年报管理表详情
  annualReport(data) {
    return request("ogAnnualReportService/detail", data, "get");
  },
  // 获取政务公开-政策文件详情
  policyFile(data) {
    return request("ogPolicyFile/detail", data, "get");
  },
  // 获取政务公开-政策解读管理表详情
  policyInter(data) {
    return request("ogPolicyInterpretation/detail", data, "get");
  },
  // 获取政务公开-行政规范性文件管理表详情
  normativeDoc(data) {
    return request("ogAdministrativeDocument/detail", data, "get");
  },
  // 获取政务公开-工作年报管理表详情
  workAnnualReport(data) {
    return request("ogWorkAnnualReport/detail", data, "get");
  },
  // 获取公开内容管理-主动公开文件表详情
  publicDoc(data) {
    return request("ogProactiveDisclosure/detail", data, "get");
  },
  // 获取公开内容管理-履职依据表详情
  dutyBasis(data) {
    return request("ogDutyBasis/detail", data, "get");
  },
  // 获取公开内容管理-行政处罚表详情
  penalize(data) {
    return request("ogAdministrativePenalty/detail", data, "get");
  },
  // 获取公开内容管理-行政许可表详情
  permission(data) {
    return request("ogAdministrativeLicense/detail", data, "get");
  },
  // 获取公开内容管理-规划计划表详情
  panning(data) {
    return request("ogPlan/detail", data, "get");
  },
  // 获取公开内容管理-财政预决算表详情
  finance(data) {
    return request("ogFinancialBudget/detail", data, "get");
  },
  // 获取要闻概况-粮食局公告管理表详情
  singrainbureaunotice(data) {
    return request1("singrainbureaunotice/detail", data, "get");
  },
  // 获取要闻概况-通知公告管理表详情
  sinnoticeannouncement(data) {
    return request1("sinnoticeannouncement/detail", data, "get");
  },
};
